
function unnet(){
local uid=$(pm list packages -U $1 | cut -d ' ' -f 2 | cut -d ':' -f 2)
# 阻止APP新建立连接
iptables -I OUTPUT -m owner --uid-owner $uid -j DROP
# 阻止APP已建立连接
iptables -I OUTPUT -m conntrack --ctstate ESTABLISHED,RELATED -m owner --uid-owner $uid -j DROP
}

#Analytics毒瘤软件
pm uninstall -k --user 0 com.miui.analytics

#屏蔽网络joyose
unnet "com.xiaomi.joyose"
#屏蔽网络电池与性能
unnet "com.miui.powerkeeper"
#屏蔽网络analytics
unnet "com.miui.analytics"
#安全服务（游戏助手）
unnet "com.miui.securitycenter"